{{ define "consumers.html" }}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ .title }}</title>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="/static/css/style.css">
    <link rel="stylesheet" href="/static/css/navbar-fixed.css">
</head>

<body>
    <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-dark">
        <div class="container-fluid">
            <a class="navbar-brand" href="#">XYZ Finance</a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
                aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav me-auto mb-2 mb-md-0">
                    <li class="nav-item">
                        <a class="nav-link " href="/">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link active" aria-current="page" href="/consumers">Consumers</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="/transactions">Transactions</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <main class="container">
        <div class="bg-body-tertiary p-5 rounded">
            <h2>{{ .title }}</h2>
            <div>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>NIK</th>
                            <th>Full Name</th>
                            <th>Legal Name</th>
                            <th>Tempat Lahir</th>
                            <th>Tanggal Lahir</th>
                            <th>Gaji</th>
                            <th>KTP Photo</th>
                            <th>Selfie Photo</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        {{ range .consumers }}
                        <tr>
                            <td>{{ .NIK }}</td>
                            <td>{{ .FullName }}</td>
                            <td>{{ .LegalName }}</td>
                            <td>{{ .TempatLahir }}</td>
                            <td>{{ .FormattedDateOfBirth }}</td>
                            <td>{{ formatNumber .Gaji }}</td>
                            <td><img src="{{ .FotoKTP }}" alt="KTP Photo" height="100"></td>
                            <td><img src="{{ .FotoSelfie }}" alt="Selfie Photo" height="100"></td>
                            <td>
                                <button type="button" class="btn btn-info btn-sm btnViewLimitPinjaman"
                                    data-bs-toggle="modal" data-id="{{ .NIK }}"
                                    data-bs-target="#modalLimitPinjaman">View
                                    Limit
                                    Pinjaman</button><br>
                                <button type="button" class="btn btn-primary btn-sm btnKTP" data-bs-toggle="modal"
                                    data-id="{{ .NIK }}" data-bs-target="#modalUploadKTP">Upload KTP</button><br>
                                <button type="button" class="btn btn-secondary btn-sm btnSelfie" data-bs-toggle="modal"
                                    data-id="{{ .NIK }}" data-bs-target="#modalUploadSelfie">Upload Selfie</button><br>
                                <button type="button" class="btn btn-success btn-sm btnCreateTransaction"
                                    data-bs-toggle="modal" data-id="{{ .NIK }}"
                                    data-bs-target="#modalCreateTransaction">Create Transaction</button>
                            </td>
                        </tr>
                        {{ end }}
                    </tbody>
                </table>
            </div>
            <!-- Modal Limit Pinjaman -->
            <div class="modal fade" id="modalLimitPinjaman" data-bs-backdrop="static" data-bs-keyboard="false"
                tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title fs-5" id="staticBackdropLabel">Limit Pinjaman</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="content-limit-pinjaman"></div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Modal Upload Foto KTP -->
            <div class="modal fade" id="modalUploadKTP" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1"
                aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title fs-5" id="staticBackdropLabel">Upload KTP</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="content-upload-ktp">
                                <form id="uploadFormKTP" name="uploadFormKTP" enctype="multipart/form-data"
                                    class="form">
                                    <input type="file" name="fileInputKTP" id="fileInputKTP">
                                    <br>

                                    <div id="previewKTP" class="img-fluid"></div>
                                    <br>
                                    <button type="submit" id="submitKTP">Upload KTP</button>
                                </form>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Modal Upload Foto KTP -->
            <div class="modal fade" id="modalUploadSelfie" data-bs-backdrop="static" data-bs-keyboard="false"
                tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title fs-5" id="staticBackdropLabel">Upload Selfie</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="content-upload-selfie">
                                <form id="uploadFormSelfie" name="uploadFormSelfie" enctype="multipart/form-data">
                                    <input type="file" name="fileInputSelfie" id="fileInputSelfie">
                                    <br>

                                    <div id="previewSelfie" class="img-fluid"></div>
                                    <br>
                                    <button type="submit" id="submitSelfie">Upload Selfie</button>
                                </form>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Modal Create Transaction -->
            <div class="modal fade" id="modalCreateTransaction" data-bs-backdrop="static" data-bs-keyboard="false"
                tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                <div class="modal-dialog">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h1 class="modal-title fs-5" id="staticBackdropLabel">Create Transaction</h1>
                            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <div id="content-create-transaction">
                                <form id="createTransaction" name="createTransaction">
                                    <input type="hidden" name="NIK" value="" id="ID_NIK">
                                    <div class="mb-3 row">
                                        <label for="staticEmail" class="col-sm-2 col-form-label">Nama Asset</label>
                                        <div class="col-sm-10">
                                            <input type="text" class="form-control" required id="NamaAsset"
                                                name="NamaAsset">
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="OTR" class="col-sm-2 col-form-label">OTR</label>
                                        <div class="col-sm-10">
                                            <input type="number" class="form-control" required id="OTR" name="OTR">
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="cicilan" class="col-sm-2 col-form-label">Jumlah Cicilan</label>
                                        <div class="col-sm-10">
                                            <input type="number" class="form-control" required id="JumlahCicilan"
                                                name="JumlahCicilan">
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="cicilan" class="col-sm-2 col-form-label">Admin Fee</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="AdminFee"
                                                name="AdminFee">
                                        </div>
                                    </div>
                                    <div class="mb-3 row">
                                        <label for="cicilan" class="col-sm-2 col-form-label">Jumlah Bunga</label>
                                        <div class="col-sm-10">
                                            <input type="text" readonly class="form-control-plaintext" id="JumlahBunga"
                                                name="JumlahBunga">
                                        </div>
                                    </div>
                                    <button type="button" class="btn btn-danger" id="kalkulasi">Kalkulasi</button>
                                    <button type="submit" class="btn btn-info" id="simpanTransaksi"
                                        name="submitTransaksi">Simpan</button>

                                </form>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</body>
<script src="/static/js/consumer.js"></script>

</html>
{{ end }}